<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum MediaFeatureBackgroundEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case Gray = 'gray';
  case Maroon = 'maroon';
  case Charcoal = 'charcoal';

  public const SETTING_LABEL = 'AUX media feature background';

  public function label(): string
  {
    return match($this) {
      self::Gray => 'Gray',
      self::Maroon => 'Maroon',
      self::Charcoal => 'Charcoal',
    };
  }
}
